/*	
 *	clipcp21.h
 *
 *	Silicon Labs CP210x VCP (Virtual COM Port) Emulator
 *
 *	CLiP - Common Library for P/ECE
 *	Copyright (C) 2001-2007 Naoyuki Sawa
 *
 *	* Sun Dec 09 16:32:20 JST 2007 Naoyuki Sawa
 *	- 1st リリース。
 *	- 関数仕様はclipacmモジュールと同じです。
 *	  clipacm.hを参照してください。
 */
#ifndef __CLIP_CP21_H__
#define __CLIP_CP21_H__

/****************************************************************************
 *	
 ****************************************************************************/

void cp210x_start(int rxcap, int txcap, void (*rxdone)(), void (*txdone)());
void cp210x_stop();
void cp210x_reset();
int cp210x_recv(void* _dat, int maxlen);
int cp210x_send(const void* _dat, int maxlen);
typedef struct _CP210XSTAT {
	int rxlen;
	int rxlog;
	int txlen;
	int txlog;
} CP210XSTAT;
void cp210x_stat(CP210XSTAT* stat);

#endif /*__CLIP_CP21_H__*/
